From 5eff9a145f412ccd2704f55b67db6e55791377f6 Mon Sep 17 00:00:00 2001
From: Gary Ching-Pang Lin <glin@suse.com>
Date: Fri, 18 Nov 2011 11:17:14 +0800
Subject: [PATCH 2/2] Add more translations

---
 po/backup_manager.pot |    2 +-
 po/de.po              |  188 +++++++++++++-------------
 po/el.po              |  353 +++++++++++++++++++++++++++++++++++++++++++++++++
 po/en.po              |    2 +-
 po/es.po              |  188 +++++++++++++-------------
 po/fi.po              |  353 +++++++++++++++++++++++++++++++++++++++++++++++++
 po/fr.po              |  188 +++++++++++++-------------
 po/ja.po              |  353 +++++++++++++++++++++++++++++++++++++++++++++++++
 po/ko.po              |  353 +++++++++++++++++++++++++++++++++++++++++++++++++
 po/pt_BR.po           |  353 +++++++++++++++++++++++++++++++++++++++++++++++++
 po/sv.po              |  353 +++++++++++++++++++++++++++++++++++++++++++++++++
 po/zh_CN.po           |  353 +++++++++++++++++++++++++++++++++++++++++++++++++
 po/zh_TW.po           |  353 +++++++++++++++++++++++++++++++++++++++++++++++++
 setup.py              |   12 ++-
 14 files changed, 3112 insertions(+), 292 deletions(-)
 create mode 100644 po/el.po
 create mode 100644 po/fi.po
 create mode 100644 po/ja.po
 create mode 100644 po/ko.po
 create mode 100644 po/pt_BR.po
 create mode 100644 po/sv.po
 create mode 100644 po/zh_CN.po
 create mode 100644 po/zh_TW.po

diff --git a/setup.py b/setup.py
index febcea7..a7ea649 100644
--- a/setup.py
+++ b/setup.py
@@ -5,7 +5,7 @@ import subprocess
 from setuptools import setup, find_packages
 from setuptools.command.install import install as _install
 
-catalogs = ["en", "es", "fr", "de"]
+catalogs = ["de", "el", "en", "es", "fi", "fr", "ja", "ko", "pt_BR", "sv", "zh_CN", "zh_TW"]
 
 class MyInstallData (_install, object):
     def run (self):
@@ -49,10 +49,18 @@ setup (name = "backup-manager",
                      ("/usr/share/applications", ["conf/backup-manager-restore.desktop"]),
                      ("/usr/share/PolicyKit/policy", ["conf/org.opensuse.backupmanager.policy"]),
                      ("/usr/share/dbus-1/system-services", ["conf/org.opensuse.BackupManager.service"]),
+                     ("/usr/share/locale/de/LC_MESSAGES", ["po/locale/de/LC_MESSAGES/backup_manager.mo"]),
+                     ("/usr/share/locale/el/LC_MESSAGES", ["po/locale/el/LC_MESSAGES/backup_manager.mo"]),
                      ("/usr/share/locale/en/LC_MESSAGES", ["po/locale/en/LC_MESSAGES/backup_manager.mo"]),
                      ("/usr/share/locale/es/LC_MESSAGES", ["po/locale/es/LC_MESSAGES/backup_manager.mo"]),
+                     ("/usr/share/locale/fi/LC_MESSAGES", ["po/locale/fi/LC_MESSAGES/backup_manager.mo"]),
                      ("/usr/share/locale/fr/LC_MESSAGES", ["po/locale/fr/LC_MESSAGES/backup_manager.mo"]),
-                     ("/usr/share/locale/de/LC_MESSAGES", ["po/locale/de/LC_MESSAGES/backup_manager.mo"]),
+                     ("/usr/share/locale/ja/LC_MESSAGES", ["po/locale/ja/LC_MESSAGES/backup_manager.mo"]),
+                     ("/usr/share/locale/ko/LC_MESSAGES", ["po/locale/ko/LC_MESSAGES/backup_manager.mo"]),
+                     ("/usr/share/locale/pt_BR/LC_MESSAGES", ["po/locale/pt_BR/LC_MESSAGES/backup_manager.mo"]),
+                     ("/usr/share/locale/sv/LC_MESSAGES", ["po/locale/sv/LC_MESSAGES/backup_manager.mo"]),
+                     ("/usr/share/locale/zh_CN/LC_MESSAGES", ["po/locale/zh_CN/LC_MESSAGES/backup_manager.mo"]),
+                     ("/usr/share/locale/zh_TW/LC_MESSAGES", ["po/locale/zh_TW/LC_MESSAGES/backup_manager.mo"]),
                      ],
        entry_points = {"gui_scripts": ["backup-manager-settings = backup_manager.settings:main",
                                        "backup-manager-restore = backup_manager.restore:main"],
-- 
1.7.3.4

